rddbcheck
8
March 2017
Linux Audio Manual

# rddbcheck

Tool for checking and repairing Rivendell databases
Fred
Gleason
fredg@paravelsystems.com
Application Author

          rddbcheck
          OPTIONS

## Description

`rddbcheck` 8 is a command-line tool for checking the consistency of a Rivendell database and (perhaps) repairing any inconsistencies found. When invoked without any options, `rddbcheck` 8 will run a set of consistency checks (with the exception of the check of the SHA-1 hashes), report any problems found and offer to repair the problem. To force a SHA-1 hash check as well, see the `--rehash` option below.

## Consistency Check Options

`--dump-cuts-dir=`dir-name

  Move any "orphaned" audio files found to the dir-name directory.

`--no`

  Automatically answer all interactive prompts with `No`.

`--orphan-group=`grp-name

  Move carts with missing/invalid GROUP information to the grp-name group.

`--rehash=`target

  Generate SHA-1 hashes from the specified files in the audio store and validate them against the values stored in the database. This is an inherently expensive operation that may require a significant amount of time to complete as each audio file to be checked must be opened and read in its entirety.

  The target value can be one of the following:

  Cart number --e.g. `123456`

    Check hashs for all cuts within the specified cart.

  Cart/cut specification --e.g. `123456_001`

    Check the hash for the specified cut.

  `ALL`

    Check hashes for all cuts in the audio store.

`--user=`user-name

  Use the user-name Rivendell user. Default value is `user`.

`--yes`

  Automatically answer all interactive prompts with `Yes`.

### Audio Recovery Options

`--relink-audio=`dir-name

  Scan the files in the directory dir-name and copy/rename them into the Rivendell audio store if their SHA-1 hash matches that for one or more Rivendell cuts.

`--relink-audio-move`

  When given along with `--relink-audio`, move the audio data to the Rivendell audio store rather than copying it --i.e. copy the audio data, then delete the original.

### See Also

rdmarkerset 8 `,` rdrevert 8